# Class AttractorFamily.Attractor

java.lang.Object
uk.ac.starlink.ttools.scheme.AttractorFamily.Attractor

Enclosing class:
  `AttractorFamily`

public static class AttractorFamily.Attractor extends Object
Defines an unbounded sequence of points, that may represent an attractor.

Since:
  21 Jul 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Attractor(AttractorFamily family, double[] params, double[] seed)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttractorFamily`
`getFamily()`
Returns this attractor's family.
`Stream<double[]>`
`pointStream()`
Returns the unbounded point stream defined by this attractor.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Attractor

public Attractor(AttractorFamily family, double[] params, double[] seed)
Constructor.

Parameters:
  `family` - attractor family
  `params` - array of parameters defining this attractor's actual behaviour
  `seed` - initial point for iteration

## Method Details

### getFamily

public AttractorFamily getFamily()
Returns this attractor's family.

Returns:
  family

### pointStream

public Stream<double[]> pointStream()
Returns the unbounded point stream defined by this attractor.

Returns:
  point stream

### toString

public String toString()

Overrides:
  `toString` in class `Object`